Support Questions
Find answers, ask questions, and share your expertise

HDP 2.6 Ambari 2.5 requires smartsense flex id?

New Contributor

Im trying out this release and I do not have a flex id for smartsense. It is greyed out and it is forcing me to have one. The previous release allowed me to not have this checked and I leave that up to the customer. Any insight is appreciated.

5 REPLIES 5

Contributor

Flex ID is applicable if you have corresponding subscription with Hortonworks. If you don't, you sould be able to "Disable" it through "Enable Flex Subscription" option (it is disabled by default)

New Contributor

@sheetal im not seeing this ability to disable. I just went through all the setup steps again. Can you let me know where to disable this please?

Thanks for the reply and any insight is appreciated.

New Contributor

fyi, i just removed the services through curl and it is going through now. I will re-add them when it comes time. Thank you

Contributor

In the Ambari "Config" screen for "SmartSense", you should be able to see it as below.

I am still curious how did it become mandatory for you as the default config is "No". How are you installing? Using UI, BluePrints, APIs?

14565-flex-config.png

New Contributor

If I would enable flex subscription, an additional " Flex Subscription ID" would be required.

Disabled flex subscription still seems to require "SmartSense ID", which I do not have.

=>Seems to be a bug in Ambari setup.

 

; ;